summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-08-06 17:04:28 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-08-06 17:04:28 +0200
commitf0b814dddb1b74c91fd54af412ad356fc68be4a2 (patch)
tree0cb2c6ee2389abe4aa9ad0ad0a2b11c511f9dab9 /scripts
parent5e64a4a52672248415e73543ec43ebe47f49d3da (diff)
really compile openadk without host java and ant
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 7d94f5976..0eeeeaf7c 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -80,7 +80,14 @@ if [[ -n $ADK_COMPILE_KRB5 ]]; then
fi
if [[ -n $ADK_COMPILE_OPENJDK ]]; then
- NEED_ANT="$NEED_ANT openjdk"
+ NEED_ZIP="$NEED_ZIP openjdk"
+ NEED_GXX="$NEED_GXX openjdk"
+ NEED_XSLTPROC="$NEED_XSLTPROC openjdk"
+fi
+
+if [[ -n $ADK_COMPILE_OPENJDK ]]; then
+ cd ${TOPDIR}/jtools; bash prereq.sh
+ [ $? -ne 0 ] && out=1
fi
if [[ -n $ADK_PACKAGE_LIBXCB ]]; then
@@ -348,13 +355,6 @@ if [[ -n $NEED_FLEX ]]; then
fi
fi
-if [[ -n $NEED_ANT ]]; then
- if ! which ant >/dev/null 2>&1; then
- echo >&2 You need ant to build $NEED_OPENJDK
- out=1
- fi
-fi
-
if [[ -n $NEED_YASM ]]; then
if ! which yasm >/dev/null 2>&1; then
echo >&2 You need yasm to build $NEED_YASM